summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author B. Watson2024-03-08 11:56:49 +0100
committer Willy Sudiarto Raharjo2024-03-09 00:18:15 +0100
commit7bc2a8c59740475157bcfa14eb9e5f839cd3a77f (patch)
treead4551a004c60ec7db0453309334b45088c24f64 /system
parentf1f21365cadced5a3844f09b452b5bc1e50481c9 (diff)
downloadslackbuilds-7bc2a8c59740475157bcfa14eb9e5f839cd3a77f.tar.gz
system/yank: Added (dialog system).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/yank/README17
-rw-r--r--system/yank/slack-desc19
-rw-r--r--system/yank/yank.SlackBuild75
-rw-r--r--system/yank/yank.info10
4 files changed, 121 insertions, 0 deletions
diff --git a/system/yank/README b/system/yank/README
new file mode 100644
index 0000000000..28f951094a
--- /dev/null
+++ b/system/yank/README
@@ -0,0 +1,17 @@
+yank (yank terminal output to clipboard)
+
+The yank(1) utility reads input from stdin and display a selection
+interface that allows a field to be selected and copied to the
+clipboard. Fields are either recognized by a regular expression using
+the -g option or by splitting the input on a delimiter sequence using
+the -d option.
+
+Using the arrow keys will move the selected field. The interface
+supports several Emacs and Vi like key bindings, consult the man page
+for further reference. Pressing the return key will invoke the yank
+command and write the selected field to its stdin. The yank command
+defaults to xsel(1) but could be anything that accepts input on stdin.
+
+Note: xsel is not a required dependency for this, but it's highly
+recommended, at least if you're using X. For Wayland users, there's
+probably an equivalent tool.
diff --git a/system/yank/slack-desc b/system/yank/slack-desc
new file mode 100644
index 0000000000..322091f951
--- /dev/null
+++ b/system/yank/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+yank: yank (yank terminal output to clipboard)
+yank:
+yank: The yank(1) utility reads input from stdin and display a selection
+yank: interface that allows a field to be selected and copied to the
+yank: clipboard. Fields are either recognized by a regular expression using
+yank: the -g option or by splitting the input on a delimiter sequence using
+yank: the -d option.
+yank:
+yank: Using the arrow keys will move the selected field. The interface
+yank: supports several Emacs and Vi like key bindings, consult the man page
+yank: for further reference.
diff --git a/system/yank/yank.SlackBuild b/system/yank/yank.SlackBuild
new file mode 100644
index 0000000000..f6009a916b
--- /dev/null
+++ b/system/yank/yank.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/bash
+
+# Slackware build script for yank
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=yank
+VERSION=${VERSION:-1.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
+
+# use our flags:
+sed -i "/-Wextra/s,\$, $SLKCFLAGS," Makefile
+
+# manpage doubleplusungood refs unmanpage:
+sed -i 's,re_format,regex,g' $PRGNAM.1
+
+make
+make install DESTDIR=$PKG PREFIX=/usr MANPREFIX=/usr/man
+gzip -9 $PKG/usr/man/man1/*.1
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a CHANGELOG* LICENSE* README* $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/yank/yank.info b/system/yank/yank.info
new file mode 100644
index 0000000000..2757f0a14e
--- /dev/null
+++ b/system/yank/yank.info
@@ -0,0 +1,10 @@
+PRGNAM="yank"
+VERSION="1.3.0"
+HOMEPAGE="https://github.com/mptre/yank/"
+DOWNLOAD="https://github.com/mptre/yank/archive/v1.3.0/yank-1.3.0.tar.gz"
+MD5SUM="2789f1cae0604fb5b84cfd5689cb752f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="urchlay@slackware.uk"